--- /etc/init.d/kheader.orig	Mon Jan  8 09:48:37 2001
+++ /etc/init.d/kheader	Mon Jan  8 15:25:21 2001
@@ -26,29 +26,11 @@
 HQ=0
 SOHO=0
 case $k in
-	*fb*)
-		FB=1
-		;;
-	*linus*)
-		LINUS=1
-		;;
-	*smp*)
-		SMP=1
-		;;
-	*secure*)
-		SECURE=1
-		;;
-	*LDV*)
-		LDV=1
-		;;
-	*HQ*)
-		HQ=1
-		;;
-	*soho*)
-		SOHO=1
+	-*)
+		CURRENT=$k
 		;;
 	*)
-		UP=1
+		CURRENT="-up"
 	esac
 }
 
@@ -60,36 +42,20 @@
 #ifndef __BOOT_KERNEL_H_
 #define __BOOT_KERNEL_H_
 
-#ifndef __BOOT_KERNEL_SMP
-#define __BOOT_KERNEL_SMP	$SMP
-#endif
-
-#ifndef __BOOT_KERNEL_FB
-#define __BOOT_KERNEL_FB	$FB
-#endif
-
-#ifndef __BOOT_KERNEL_SECURE
-#define __BOOT_KERNEL_SECURE	$SECURE
-#endif
-
-#ifndef __BOOT_KERNEL_LINUS
-#define __BOOT_KERNEL_LINUS	$LINUS
-#endif
-
-#ifndef __BOOT_KERNEL_UP
-#define __BOOT_KERNEL_UP	$UP
+#ifndef __BOOT_KERNEL_CURRENT
+#define __BOOT_KERNEL_CURRENT	$CURRENT
 #endif
 
-#ifndef __BOOT_KERNEL_LDV
-#define __BOOT_KERNEL_LDV	$LDV
+#ifndef __BOOT_KERNEL_AUTOCONF_CURRENT
+#define __BOOT_KERNEL_AUTOCONF_CURRENT	<linux/autoconf$k.h>
 #endif
 
-#ifndef __BOOT_KERNEL_HQ
-#define __BOOT_KERNEL_HQ	$HQ
+#ifndef __BOOT_KERNEL_MODVERSIONS_CURRENT
+#define __BOOT_KERNEL_MODVERSIONS_CURRENT	<linux/modversions$k.h>
 #endif
 
-#ifndef __BOOT_KERNEL_SOHO
-#define __BOOT_KERNEL_SOHO	$SOHO
+#ifndef __BOOT_KERNEL_VERSION_CURRENT
+#define __BOOT_KERNEL_VERSION_CURRENT	<linux/version$k.h>
 #endif
 
 #endif
